# Air API

Version: v2

## Servers

Sandbox URL
```
https://api-ext-sboxmeta.partners.spotnana.com
```

## Security

### Bearer

Type: http
Scheme: bearer

## Download OpenAPI description

 - [Air API](https://developer.spotnana.com/_bundle/openapi/AirApi.yaml)

## Air

 - [POST /v2/air/search-flights](https://developer.spotnana.com/openapi/airapi/air/airsearch.md): Get Air Itineraries available for the given search parameters
 - [POST /v2/air/flight-attributes](https://developer.spotnana.com/openapi/airapi/air/airattributes.md): Get Flight attributes, amenities and fare rules for the given search response id. Returns the full air search response along with attribute details.
 - [POST /v2/air/selected-itinerary](https://developer.spotnana.com/openapi/airapi/air/airselecteditinerary.md): Get the selected itinerary for the traveler in the search and checkout flow.
 - [GET /v2/air/airlines-info](https://developer.spotnana.com/openapi/airapi/air/getairlinesinformation.md): Returns airlines information for active marked airlines.
 - [POST /v2/air/flight-checkout](https://developer.spotnana.com/openapi/airapi/air/airflightcheckout.md): Get the flight checkout details associated with the selected itinerary.
 - [POST /v2/air/seat-map](https://developer.spotnana.com/openapi/airapi/air/airseatmap.md): Get seat map for the flights in the given itinerary.
 - [POST /v2/air/initiate-booking](https://developer.spotnana.com/openapi/airapi/air/airinitiatebooking.md): Initiates a new air booking for the trip. The `identityDocs` field supports the following traveler identity documents: Passport, National ID, Known Traveler Number (KTN), redress number, and immigrati
 - [POST /v2/air/revalidate-itinerary](https://developer.spotnana.com/openapi/airapi/air/airrevalidateitinerary.md): Validates the air itinerary for availability and pricing
 - [POST /v2/air/intermediate-revalidate-itinerary](https://developer.spotnana.com/openapi/airapi/air/airintermediaterevalidateitinerary.md): Validates an itinerary at any interim stage of air booking workflow and allows you to keep track of fare details before proceeding to checkout. Using this endpoint is optional. It requires a `searchId
 - [POST /v2/air/create-pnr](https://developer.spotnana.com/openapi/airapi/air/aircreatepnr.md): Creates a new air booking with the given itinerary
 - [POST /v2/air/cancel-pnr](https://developer.spotnana.com/openapi/airapi/air/aircancelpnr.md): Cancel the air pnr and issues applicable refunds
 - [GET /v2/air/pnrs/{pnrId}/exchange-details](https://developer.spotnana.com/openapi/airapi/air/getairpnrexchangedetails.md): This endpoint gets exchange details of all the tickets present in the given PNR ID of the given trip ID.
 - [POST /v2/air/modify-search](https://developer.spotnana.com/openapi/airapi/air/airmodifysearchv2.md): Get Air Itineraries available for exchange/modification/deletion against current pnr.
 - [POST /v2/air/modify-book](https://developer.spotnana.com/openapi/airapi/air/airmodifybookv2.md): Book[cancel] new[existing] legs into an existing pnr using the selected rate option from airModifySearch operation.
 - [POST /v2/air/pnrs/{pnrId}/update](https://developer.spotnana.com/openapi/airapi/air/airpnredit.md): Edit specific traveler information in an existing PNR. This API allows you to edit and modify Special Service Requests (SSR), seat selection, loyalty number, ancillaries, redress number, Known Travel
 - [GET /v2/air/special-service-requests](https://developer.spotnana.com/openapi/airapi/air/getspecialservicerequests.md): Returns the list of all Special Service Requests (SSR) supported by Spotnana. This API doesn't require a request payload or a query parameter. You can use this endpoint anytime during the air booking
 - [GET /v2/air/special-service-requests/categories](https://developer.spotnana.com/openapi/airapi/air/getspecialservicerequestsfilterbycategory.md): Returns the list of Special Service Requests (SSR) for a selected category. Every `category` type can contain multiple service requests. For example, the `category: MEAL` includes service requests suc
 - [POST /v2/air/fare-rules/fetch](https://developer.spotnana.com/openapi/airapi/air/fetchairfarerules.md)
 - [POST /v2/air/accept-change](https://developer.spotnana.com/openapi/airapi/air/airacceptschedulechange.md): Accept a schedule change for a PNR
## Credits

 - [POST /v3/air/fetch-traveler-unused-credits](https://developer.spotnana.com/openapi/airapi/air-credits/fetchtravelerunusedcredits.md): Returns a list of unused credits associated with a traveler along with details such as the PNR ID, trip ID, airline details, credit expiry date, and the source of booking (e.g., NDC). Travelers can
 - [POST /v3/air/company-unused-credits/list](https://developer.spotnana.com/openapi/airapi/air-credits/fetchcompanyunusedcredits.md): Returns the list of company unused credits which can be used by any employees of the company.
 - [POST /v3/air/company-transferable-unused-credits/list](https://developer.spotnana.com/openapi/airapi/air-credits/fetchcompanytransferableunusedcredits.md): Returns the list of transferable company unused credits which can be used by any employees of the company. The unused credits can be transferred to another traveler.
 - [POST /v3/air/company-credits/migrations](https://developer.spotnana.com/openapi/airapi/air-credits/migrateunusedcreditsincompanycredits.md): This API will be migrate unused credits from individual credits to company credits and vice versa.
## Autocomplete

 - [GET /v2/air-autocomplete](https://developer.spotnana.com/openapi/airapi/autocomplete/airautocomplete.md)
## Loyalty Programs

 - [GET /v2/air/loyalty-programs](https://developer.spotnana.com/openapi/airapi/loyalty-programs/getairapplicableloyalties.md): Returns all the active loyalty programs for the requested marketing and/or operating airlines.
